#ifndef LCD_H
#define LCD_H

#include <stdint.h>

enum LCDRegType {
	LCD_REG_CONTROL,
	LCD_REG_DATA
};

void lcd_init(void);

/*!
 * This function should be called from the main loop every millisecond.
 *
 * \returns     1 if the initialization of the display is complete.
 */
int  lcd_setup(void);

void lcd_send_init(uint8_t data, enum LCDRegType reg_type);
void lcd_send(uint8_t data, enum LCDRegType reg_type);
void lcd_send_string(char *data);

int  lcd_process(void);
int  lcd_enqueue(uint8_t data, enum LCDRegType reg_type);

void lcd_clear(void);
void lcd_set_cursor_pos(uint8_t line, uint8_t col);

#endif // LCD_H
